Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations KootK on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

selecting all on a layer?

Status
Not open for further replies.

cride

Civil/Environmental
Aug 23, 2004
5
Anyone know how I can select everything on one layer by clicking an object on that specific layer? This would be better than freezing everything else and then un-freezing once the selections have been made..
Thanks!
 
Replies continue below

Recommended for you

Box around what you want and then right click, there is an option called quick select, within that is layer.
 
cool! i didnt have that in my right click menu, but the commandline prompt works...thanks!
 
Another method:
Type your command
Type (SSX)
Hit ENTER
Type LA
Hit ENTER
Type the layer name
Hit Enter
 
Dear cride,
The following lisp command is what you need. Just copy and paste it into AutoCAD command prompt and select one object.

(sssetfirst nil (ssget "x" (list (assoc 8 (entget (car (entsel)))))))

You can assign it to a toolbutton.
:)
Farzad
 
FH-
how do i assign this to a tool button? I dont usually work in LISP...
thanks!
 
Dear cride,
1- Create a text file using notepad and enter the following code into it:
(defun ABC()
(sssetfirst nil (ssget "x" (list (assoc 8 (entget (car (entsel)))))))
)
2- Save the file into the AutoCAD "Support folder" with the name "ABC.LSP"
3- Create a text file using notepad and enter the following code into it: (If the file "ACADDOC.LSP" exists in the "Support" folder, append the below code to file and don't do step number 4)
(defun-q s::startup()
(load "abc.lsp")
)
4- Save the file into the AutoCAD "Support folder" with the name "ACADDOC.LSP".
5- Run ACAD.
6- Right click on a toolbar and select the "Customize command from the menu.
7- In the "Customize dialog box activate the "Commands" tab and select the "User defined" item from the list.
8- From the right side drag and drop the "User Defined Button" to outside of dialog box (everywhere).
9- Right click on the new button and select the "Properties" from the menu.
10- In the Dialog box in lower large textbox enter (abc)
11- You can select an image for the button.
12- Click "Apply"
13- Click "OK"

:)
Farzad
 
Isin't it easier to work with the quickselect program of AutoCad?
 
Hi,

the solutions are great. [thumbsup2]

Here's annother (with the Express Tools):

isolate the layer "layiso"
-> edit whatever You want
-> restore the previous layerstate "_layerp"

Lothar

ADT 2004
ACAD 2002
 
Here's another.
Set the layer in question to be the current layer. Lock all the other layers. I do a "Layer" "LOC" "ALL". You can also do a "LAYER" " FREEZE" " ALL". Use the "A" or "All" option to select all in whatever command you are using. I use a set of macros for this:

LL = lock all layers (note: the current layer can not be locked)
LU = unlock all layers
LF = freeze all layers (note: the current layer can not be frozen)
LT = thaw all layers
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor